Package org.eclipse.emf.cdo.session.remote

# Enum Class CDORemoteSessionMessage.Priority

java.lang.Object
java.lang.Enum<CDORemoteSessionMessage.Priority>
org.eclipse.emf.cdo.session.remote.CDORemoteSessionMessage.Priority

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORemoteSessionMessage.Priority>`, `Constable`

Enclosing class:
  CDORemoteSessionMessage

public static enum CDORemoteSessionMessage.Priority extends Enum<CDORemoteSessionMessage.Priority>
Enumerates the possible `remote session message` priorities.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
`LOW`
`NORMAL`
`VERY_HIGH`
`VERY_LOW`

## Method Summary

Modifier and Type
Method
Description
`static CDORemoteSessionMessage.Priority`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORemoteSessionMessage.Priority[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERY_LOW

public static final CDORemoteSessionMessage.Priority VERY_LOW

### LOW

public static final CDORemoteSessionMessage.Priority LOW

### NORMAL

public static final CDORemoteSessionMessage.Priority NORMAL

### HIGH

public static final CDORemoteSessionMessage.Priority HIGH

### VERY_HIGH

public static final CDORemoteSessionMessage.Priority VERY_HIGH

## Method Details

### values

public static CDORemoteSessionMessage.Priority[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDORemoteSessionMessage.Priority valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null